/*
     KMiniDLNA Client
     https://sourceforge.net/projects/kminidlna/

     Copyright (C) 2012  Tomáš Poledný saljacky(at)gmail(dot)com

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MEDIAFOLDERSWIDGET_H
#define MEDIAFOLDERSWIDGET_H

#include <QWidget>
#include <QStandardItemModel>
#include <QTableView>


class MediaFoldersWidget : public QWidget {

    public:
        explicit MediaFoldersWidget(QStandardItemModel* model, QWidget* parent = 0, Qt::WindowFlags f = 0);
    public slots:
        void loadModel();

    private:
        QStandardItemModel* m_model;
        void initGUI();
        QTableView* m_tableView;
	void updated();
};

#endif // MEDIAFOLDERSWIDGET_H
